#pragma once
#include "node_image.h"

class NodeIcon : public NodeImage
{
    static std::map<std::string, glm::vec4> m_icons;
    std::string m_icon_name;
public:
    static void static_init();
    virtual Node* clone_instantiate() const override;
    virtual void clone_copy(Node* dest) const override;
    virtual void create() override;
    virtual void parse_attributes(kAttribute ka, const tinyxml2::XMLAttribute* attr) override;
};
